Bug 1685225 - Operator should use imagePullPolicy: IfNotPresent
Summary: Operator should use imagePullPolicy: IfNotPresent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Devan Goodwin
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On: 1685219 1685224
Blocks: 1685227 1685228 1685229 1685230 1685232
TreeView+ depends on / blocked
 
Reported: 2019-03-04 17:30 UTC by Clayton Coleman
Modified: 2019-06-04 10:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1685224
: 1685227 1686589 1694175 1723558 (view as bug list)
Environment:
Last Closed: 2019-06-04 10:44:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:44 UTC

Description Clayton Coleman 2019-03-04 17:30:07 UTC
+++ This bug was initially created as a clone of Bug #1685224 +++

+++ This bug was initially created as a clone of Bug #1685219 +++

Use imagePullPolicy: IfNotPresent instead of always in:

["openshift-cloud-credential-operator","cloud-credential-operator-77ffd575b8-n2jxp"]

Comment 2 Devan Goodwin 2019-03-06 13:03:47 UTC
Fixed in: https://github.com/openshift/cloud-credential-operator/pull/38

Comment 3 Jianwei Hou 2019-03-07 09:51:31 UTC
Verified with 4.0.0-0.alpha-2019-03-05-054505, the imagePullPolicy of both operators are IfNotPresent.

Comment 5 errata-xmlrpc 2019-06-04 10:44:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.